Bitcoin Forum
December 08, 2016, 10:09:20 PM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 [4] 5 6 7 8 9 10 »  All
  Print  
Author Topic: Building Armory on OSX  (Read 30637 times)
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 18, 2012, 11:06:03 PM
 #61

Anyone have advice for how I can distribute it?  The OSX equivalent of py2exe does not look... reliable.  I'll try it, but I would prefer to avoid the complexities and run it as a native python script, if possible.  Perhaps bundle up all the site-packages into the install directory so that it can be standalone without having to install extra dependencies...? 

I'm guessing that packaging and distribution will be the biggest hurdle to getting Armory released on OSX.  Perhaps someone with more OSX experience can provide guidance...

Well, you have to install brew manually on OSX, but if it's already installed it might be possible to make up a .pkg for it with a script that will install everything else required and compile/copy all the necessary parts. Not really certain how well that would work, but failing that you could just use a zip or tarball as you would in a manual installation on linux. App file bundles on OSX might also theoretically be used to contain a python script, but I don't know that the functionality is quite flexible enough for that. If you want to dissect some .app files to see how they work, right click->show contents is what you'll want to look at.

One thing that sucks on OSX though, and I'm not sure if this applies to newer versions, but filepaths which contain spaces tend to seriously mess with makefile type scripts, which cause all kinds of corruption and errors. I don't think the same applies for pkgs, but usually those are installed from a dmg which allows you to control the path name.

I definitely can't bank on the user having the stuff installed already.  It seems like it would be... "irresponsible"... to have the install script actually install brew and all the brew packages.  Perhaps there's a way to make a completely self-contained directory tree (that has python and all dependencies pre-compiled and included).  I don't see why not, it just seems like a mess.

Maybe I should try py2app... but so far I've only heard gripes about things not working right, so I imagine I won't be figuring it out, either (I'd need some serious tinkering time available). 

So, perhaps someone here could donate some time to try this.  I bet it would be even easier with:  Portable Python.
I think py2app is what you should be doing.  I'll play around with it if I can get some time.

1481234960
Hero Member
*
Offline Offline

Posts: 1481234960

View Profile Personal Message (Offline)

Ignore
1481234960
Reply with quote  #2

1481234960
Report to moderator
1481234960
Hero Member
*
Offline Offline

Posts: 1481234960

View Profile Personal Message (Offline)

Ignore
1481234960
Reply with quote  #2

1481234960
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1481234960
Hero Member
*
Offline Offline

Posts: 1481234960

View Profile Personal Message (Offline)

Ignore
1481234960
Reply with quote  #2

1481234960
Report to moderator
1481234960
Hero Member
*
Offline Offline

Posts: 1481234960

View Profile Personal Message (Offline)

Ignore
1481234960
Reply with quote  #2

1481234960
Report to moderator
1481234960
Hero Member
*
Offline Offline

Posts: 1481234960

View Profile Personal Message (Offline)

Ignore
1481234960
Reply with quote  #2

1481234960
Report to moderator
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
August 19, 2012, 02:54:51 AM
 #62

Red Emerald,

I just committed a Makefile modification to the dev branch.  It's basically just the current master with a bug fix and the updated Makefile.  Can you do a fresh checkout and confirm it works on your system, too?  Just want to make sure I did it right.  It works on the OSX VM I have.

I think py2app is what you should be doing.  I'll play around with it if I can get some time.

I will try it, too.  I just don't have high expectations.  I also had to reinstall my Win64 VM and can't get py2exe working.  I've spent hours on it and even my existing config that works on another machine isn't helping me figure it out.  Not looking forward to doing it again on OSX...

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 19, 2012, 07:19:08 PM
 #63

Red Emerald,

I just committed a Makefile modification to the dev branch.  It's basically just the current master with a bug fix and the updated Makefile.  Can you do a fresh checkout and confirm it works on your system, too?  Just want to make sure I did it right.  It works on the OSX VM I have.
It works and the instructions are getting much simpler!  Once you pull out all the bsddb stuff, it should be this:

Code:
$ brew install python cryptopp swig sip qt pyqt
$ export PATH=`brew --prefix`/share/python:$PATH
$ pip install twisted
$ mkdir ~/src
$ cd ~/src
$ git clone git://github.com/etotheipi/BitcoinArmory.git
$ cd BitcoinArmory
$ make

$ PYTHONPATH=`brew --prefix`/lib/python2.7/site-packages /usr/bin/python ArmoryQt.py

Quote
I think py2app is what you should be doing.  I'll play around with it if I can get some time.

I will try it, too.  I just don't have high expectations.  I also had to reinstall my Win64 VM and can't get py2exe working.  I've spent hours on it and even my existing config that works on another machine isn't helping me figure it out.  Not looking forward to doing it again on OSX...
I got it working no problem at all with the alias option (-A), but that isn't very helpful.  I'll try again now that you changed the makefile.

Code:
$ py2applet --make-setup ArmoryQt.py
$ vim setup.py

  set 'argv_emulation' to False

$ PYTHONPATH=`brew --prefix`/lib/python2.7/site-packages /usr/bin/python setup.py py2app -A

$ open dist/ArmoryQt.app

EDIT: So I'm running into problems with Mountain Lion and macholib. I tried installing the development version of macholib, but that requires the development versions of altgraph and modulegraph which break the non-development version of py2app.  Hopefully you will have better luck with Lion.

This might help: http://b.atcg.us/blog/2010/04/13/py2app-hell-the-first.html

ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 25, 2012, 09:07:35 PM
 #64

Running into the hell of compiling Armory on OSX....

What if  you required brew for OSX?  I know that is not 'ideal' but it is loads better than what we have today.

Then users could install your custom formula and just brew install armory

https://github.com/mxcl/homebrew/wiki/Formula-Cookbook

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
August 25, 2012, 09:53:05 PM
 #65

Running into the hell of compiling Armory on OSX....

What if  you required brew for OSX?  I know that is not 'ideal' but it is loads better than what we have today.

Then users could install your custom formula and just brew install armory

https://github.com/mxcl/homebrew/wiki/Formula-Cookbook

That is a super interesting idea!

You're right, it's not ideal, but it would dramatically improve the situation -- users that really want it, can get it.  

I'm getting lost in my attempts to split blockchain loading into a background thread.  Multi-threaded programming comes with all sorts of headaches.  When I'm done with this implementation, I'll release it for testing and look at this OSX idea while the Win and Linux users beat on the new version.

EDIT: Scratch that:  I'm going to look at py2app first.  Red Emerald's link for "py2app hell" may very well help me avoid all the things I was worried about.  If that turns out to be trouble, I'll take a shot at your idea

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 25, 2012, 10:29:40 PM
 #66

I am all for any solution that works.


░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 27, 2012, 04:29:10 AM
 #67

`brew install armoryqt` would be awesome, though a distributable binary would be better for the average user.

I'll try playing around with writing a recipe.

EDIT: wow. this is super easy.  I made a pull request to fix your makefile (it also adds qrc_img_resources.py to .gitignore since it is a generated file).  I'll post my formula in a few minutes.



https://github.com/etotheipi/BitcoinArmory/pull/18

Also, what branch should I be using? Dev still?

Here's the formula I made. It installs my dev branch which has two simple changes.  The first fixes the makefile so it can install into the brew prefix properly.  The second adds a "ArmoryQt.command" file.

You can install it by placing the below code into "`brew --prefix`/Library/Formula/bitcoinarmory.rb" and then `brew install --HEAD bitcoinarmory`

Code: ("`brew --prefix`/Library/Formula/bitcoinarmory.rb")
require 'formula'

class Bitcoinarmory < Formula
  homepage 'http://bitcoinarmory.com/'
  head 'https://github.com/WyseNynja/BitcoinArmory/tarball/dev'
  depends_on 'cryptopp'
  depends_on 'swig'
  depends_on 'sip'
  depends_on 'qt'
  depends_on 'pyqt'
  depends_on 'twisted' => :python

  def install
    ENV.j1  # if your formula's build system can't parallelize

    system "make"
    system "make DESTDIR=`brew --prefix BitcoinArmory` install"
    bin.install 'ArmoryQt.command'
  end

  def test
    system "PYTHONPATH=`brew --prefix`/lib/python2.7/site-packages /usr/bin/python `brew --prefix bitcoinarmory`/share/armory/ArmoryQt.py -h"
  end

  def caveats; <<-EOS.undent
    BitcoinArmory.command was installed in
        #{bin}

    To symlink into ~/Applications, you can do:
        ln -s #{bin}/ArmoryQt.command ~/Applications/
    EOS
  end
end

Now you can simply open up a terminal and assuming you already have your PATH setup for brew, `ArmoryQt.command`

You can also symlink the .command file somewhere easy to double click or even drop it onto the dock.

Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 27, 2012, 07:21:25 AM
 #68

So I made this super simple for people.  I'm sure etotheipi will eventually do this himself, but if you want Armory up and running fast and right now.

Code:
brew tap homebrew/versions
brew tap WyseNynja/bitcoin
brew install wysenynja/bitcoin/bitcoind
brew install --HEAD wysenynja/bitcoin/armory-qt

You don't need to install bitcoind, but I like to. I might eventually add a startup service for bitcoind.

EDIT: I forgot to mention tapping homebrew/versions

ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 27, 2012, 01:10:54 PM
 #69

What version of Xcode do to have? This still fails for me, I think I might need to update.

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
gweedo
Legendary
*
Offline Offline

Activity: 1246


Java, PHP, HTML/CSS Programmer for Hire!


View Profile WWW
August 27, 2012, 04:26:10 PM
 #70

So I made this super simple for people.  I'm sure etotheipi will eventually do this himself, but if you want Armory up and running fast and right now.

Code:
brew tap WyseNynja/bitcoin
brew install wysenynja/bitcoin/bitcoind
brew install --HEAD wysenynja/bitcoin/armory-qt

You don't need to install bitcoind, but I like to. I might eventually add a startup service for bitcoind.

thanks works great, but only thing is it never created the link to application, so I just added my own apple script

Want to earn 2500 SATOSHIS per hour? Come Chat and Chill in https://goseemybits.com/lobby
ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 27, 2012, 04:48:23 PM
 #71

Grrr... mine still fails, even after an XCode upgrade.

Quote
Preprocessing...
Starting language-specific parse...
EncryptionUtils.h:178: Warning 362: operator= ignored
EncryptionUtils.h:133: Warning 402: Base class 'BinaryData' is incomplete.
BtcUtils.h:63: Warning 402: Only forward declaration 'BinaryData' was found.
BlockUtils.h:326: Warning 472: Overloaded method AddressBookEntry::AddressBookEntry(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:378: Warning 472: Overloaded method BtcAddress::BtcAddress(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:378: Warning 472: Overloaded method BtcAddress::BtcAddress(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:378: Warning 472: Overloaded method BtcAddress::BtcAddress(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:378: Warning 472: Overloaded method BtcAddress::BtcAddress(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:378: Warning 472: Overloaded method BtcAddress::BtcAddress(BinaryData) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
BlockUtils.h:414: Warning 509: Overloaded method BtcAddress::addTxIO(TxIOPair &) effectively ignored,
BlockUtils.h:413: Warning 509: as it is shadowed by BtcAddress::addTxIO(TxIOPair *).
BlockUtils.h:413: Warning 509: Overloaded method BtcAddress::addTxIO(TxIOPair *,bool) effectively ignored,
BlockUtils.h:414: Warning 509: as it is shadowed by BtcAddress::addTxIO(TxIOPair &,bool).
BlockUtils.h:459: Warning 472: Overloaded method BtcWallet::addAddress(BinaryData) with no explicit typecheck typemap for arg 1 of type 'BinaryData'
BlockUtils.h:459: Warning 472: Overloaded method BtcWallet::addAddress(BinaryData) with no explicit typecheck typemap for arg 1 of type 'BinaryData'
BlockUtils.h:459: Warning 472: Overloaded method BtcWallet::addAddress(BinaryData) with no explicit typecheck typemap for arg 1 of type 'BinaryData'
BlockUtils.h:459: Warning 472: Overloaded method BtcWallet::addAddress(BinaryData) with no explicit typecheck typemap for arg 1 of type 'BinaryData'
BlockUtils.h:459: Warning 472: Overloaded method BtcWallet::addAddress(BinaryData) with no explicit typecheck typemap for arg 1 of type 'BinaryData'
BtcUtils.h:956: Warning 472: Overloaded method BtcUtils::verifyProofOfWork(BinaryDataRef,BinaryDataRef) with no explicit typecheck typemap for arg 0 of type 'BinaryData'
Processing types...
C++ analysis...
Generating wrappers...
g++  -I"/usr/include/python`python -c 'import sys; print str(sys.version_info[0]) + "." + str(sys.version_info[1])'`" -c -O2 -pipe -fPIC  -Icryptopp -DUSE_CRYPTOPP -D__STDC_LIMIT_MACROS  -lpthread  CppBlockUtils_wrap.cxx
i686-apple-darwin11-llvm-g++-4.2: -lpthread: linker input file unused because linking not done
g++ -shared -lpthread  UniversalTimer.o BinaryData.o FileDataPtr.o BtcUtils.o BlockObj.o BlockUtils.o EncryptionUtils.o libcryptopp.a "/usr/lib/python`python -c 'import sys; print str(sys.version_info[0]) + "." + str(sys.version_info[1])'`/config/libpython`python -c 'import sys; print str(sys.version_info[0]) + "." + str(sys.version_info[1])'`.a" CppBlockUtils_wrap.o -o ../_CppBlockUtils.so
i686-apple-darwin11-llvm-g++-4.2: /usr/lib/python2.7/config/libpython2.7.a: No such file or directory
make[1]: *** [swig] Error 1
make: *** [all] Error 2
==> Build Environment
HOMEBREW_VERSION: 0.9.2
HEAD: 4ce8717a18bbec90cc07e07dfa296effabdc7bb4
CPU: 8-core 64-bit sandybridge
OS X: 10.7.4-x86_64
Xcode: 4.4.1 => /Developer
CLT: 1.0.0.9000000000.1.1249367152
X11: 2.6.4 in /usr/X11
CC: /usr/bin/clang
CXX: /usr/bin/clang++ => /usr/bin/clang
LD: /usr/bin/clang
CFLAGS: -Os -w -pipe -march=native -Qunused-arguments -mmacosx-version-min=10.7
CXXFLAGS: -Os -w -pipe -march=native -Qunused-arguments -mmacosx-version-min=10.7
LDFLAGS: -L/usr/local/lib
MACOSX_DEPLOYMENT_TARGET: 10.7
OBJC: /usr/bin/clang
PATH: /usr/local/bin:/usr/local/sbin:/Users/aburns/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/Users/aburns/.rvm/bin:/usr/local/Library/Contributions/cmds

Error: Failed executing: make (armory-qt.rb:16)

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 27, 2012, 06:01:57 PM
 #72

So I made this super simple for people.  I'm sure etotheipi will eventually do this himself, but if you want Armory up and running fast and right now.

Code:
brew tap WyseNynja/bitcoin
brew install wysenynja/bitcoin/bitcoind
brew install --HEAD wysenynja/bitcoin/armory-qt

You don't need to install bitcoind, but I like to. I might eventually add a startup service for bitcoind.

thanks works great, but only thing is it never created the link to application, so I just added my own apple script
It doesn't do that part automatically. My formula tells you how to link the command after it finishes installing. You can also run "brew info wysenynja/bitcoin/armory-qt"

ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 27, 2012, 08:21:48 PM
 #73

Red Emerald....

I think with your forumla I have *finally* managed some form of success.... Armory appears to be loading now (loading blk0001.dat)

For others running into the dreaded error:
Code:
/usr/lib/python2.7/config/libpython2.7.a: No such file or directory

Here is what I did to, i think, finally resolve this:
 * brew uninstall anything needed  for Armory: python, cryptopp, swig, sip, qt, pyqt, twisted.
 * brew install --HEAD armory-qt  (after adding the tap of course)
 * interestingly enough this did not install python, so: brew install python

This is where things got interesting... I have somehow gotten my python into 'framework' mode so things didn't work out of the box.

Also I found that when python installs libpython is actually a relative symlink, and given that the armory build is looking in /usr/lib this is why it breaks.  I have created the following script that fixes up my symlinks for me and then a brew install armory-qt worked like a champ (i think... it build/appears to run at least).

Also the command file you built did not work for me... I had to use brew python:
Code:
python /usr/local/Cellar/armory-qt/HEAD/share/armory/ArmoryQt.py

Here is the script I made, please note this will almost certainly not work 'out of the box' but at least be a guide for others:
Code:
#!/bin/bash
# See bottom of script for example paths
CELLAR=`brew --cellar python`
FRAMEWORK_PATH="$CELLAR/2.7.3/Frameworks/Python.framework"
PYTHON_PATH="$FRAMEWORK_PATH/Versions/2.7/Python"

# Update Brew links
cd $FRAMEWORK_PATH/Versions/2.7/lib/python2.7/config
rm libpython2.7.a
rm libpython2.7.dylib
ln -s $PYTHON_PATH libpython2.7.a
ln -s $PYTHON_PATH libpython2.7.dylib


# Now update system links
echo "Updating /usr/lib link... will need to sudo:"
sudo rm /usr/lib/python2.7
sudo ln -s $FRAMEWORK_PATH/Versions/2.7/lib/python2.7 /usr/lib/python2.7

echo "Links updated..."

# /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Python
# /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config

@Red Emerald: if armory does indeed come up then I will send you some coin as I have wanted this for MONTHS.  Thank you thank you thank you!

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 27, 2012, 09:21:04 PM
 #74

Hrm...  So I was able to receive and send funds.  I imported a bunch of addresses (~15) and restarted... now Armory has been loading for >20 mins.....

Any ideas as to what could be causing the slowdown?

EDIT:  40 mins in and it just switched to blk0002.dat.  This sucks,  it is like using a 5 year old PC on a mac.  There has to be some reason for the slowdown.

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 28, 2012, 01:25:37 AM
 #75

Red Emerald....

I think with your forumla I have *finally* managed some form of success.... Armory appears to be loading now (loading blk0001.dat)

For others running into the dreaded error:
Code:
/usr/lib/python2.7/config/libpython2.7.a: No such file or directory

Here is what I did to, i think, finally resolve this:
 * brew uninstall anything needed  for Armory: python, cryptopp, swig, sip, qt, pyqt, twisted.
 * brew install --HEAD armory-qt  (after adding the tap of course)
 * interestingly enough this did not install python, so: brew install python

This is where things got interesting... I have somehow gotten my python into 'framework' mode so things didn't work out of the box.

Also I found that when python installs libpython is actually a relative symlink, and given that the armory build is looking in /usr/lib this is why it breaks.  I have created the following script that fixes up my symlinks for me and then a brew install armory-qt worked like a champ (i think... it build/appears to run at least).

Also the command file you built did not work for me... I had to use brew python:
Code:
python /usr/local/Cellar/armory-qt/HEAD/share/armory/ArmoryQt.py

Here is the script I made, please note this will almost certainly not work 'out of the box' but at least be a guide for others:
Code:
#!/bin/bash
# See bottom of script for example paths
CELLAR=`brew --cellar python`
FRAMEWORK_PATH="$CELLAR/2.7.3/Frameworks/Python.framework"
PYTHON_PATH="$FRAMEWORK_PATH/Versions/2.7/Python"

# Update Brew links
cd $FRAMEWORK_PATH/Versions/2.7/lib/python2.7/config
rm libpython2.7.a
rm libpython2.7.dylib
ln -s $PYTHON_PATH libpython2.7.a
ln -s $PYTHON_PATH libpython2.7.dylib


# Now update system links
echo "Updating /usr/lib link... will need to sudo:"
sudo rm /usr/lib/python2.7
sudo ln -s $FRAMEWORK_PATH/Versions/2.7/lib/python2.7 /usr/lib/python2.7

echo "Links updated..."

# /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Python
# /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config

@Red Emerald: if armory does indeed come up then I will send you some coin as I have wanted this for MONTHS.  Thank you thank you thank you!
My formula does not install python because brew's python isn't needed (at least in Lion+).  I built armory against the system python as that required less modifications to the Makefile.  That is also why my ArmoryQt.command uses /usr/bin/python and sets PYTHONPATH.

What version of OSX are you using?

I'm guessing your messing with the links to the Framework folders is why it won't build.  What does this command give for you?
Code:
$ ls -la /usr/lib | grep python2.7
lrwxr-xr-x    1 root     wheel    18B Jul 26 16:01 libpython.dylib@ -> libpython2.7.dylib
lrwxr-xr-x    1 root     wheel    68B Jul 26 16:01 libpython2.7.dylib@ -> ../../System/Library/Frameworks/Python.framework/Versions/2.7/Python
lrwxr-xr-x    1 root     wheel    75B Jul 26 16:01 python2.7@ -> ../../System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7
If those don't match me (likely because you have messed with those while trying to get Armory to work in the past), then change them to be what I have and try to reinstall armory-qt.  Don't point them to brew.  The system python should work fine.  

Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 28, 2012, 01:33:04 AM
 #76

Hrm...  So I was able to receive and send funds.  I imported a bunch of addresses (~15) and restarted... now Armory has been loading for >20 mins.....

Any ideas as to what could be causing the slowdown?

EDIT:  40 mins in and it just switched to blk0002.dat.  This sucks,  it is like using a 5 year old PC on a mac.  There has to be some reason for the slowdown.
What are your system specs? What OS version? Latest dev branch?

My load times aren't nearly that bad, but I'm on a SSD.

ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 28, 2012, 02:04:42 PM
 #77

My formula does not install python because brew's python isn't needed (at least in Lion+).  I built armory against the system python as that required less modifications to the Makefile.  That is also why my ArmoryQt.command uses /usr/bin/python and sets PYTHONPATH.

What version of OSX are you using?
Interesting.... I am on Lion (10.7.7).

I'm guessing your messing with the links to the Framework folders is why it won't build.
Ya probably... it was way out of whack with what you posted, here are my new 'fixed' results
Code:
$ ls -la /usr/lib | grep python2.7                                                                                                           
lrwxr-xr-x    1 root  wheel        18 Aug 22  2011 libpython.dylib -> libpython2.7.dylib
lrwxr-xr-x    1 root  wheel        68 Aug 22  2011 libpython2.7.dylib -> ../../System/Library/Frameworks/Python.framework/Versions/2.7/Python
lrwxr-xr-x    1 root  wheel        75 Aug 28 07:57 python2.7 -> ../../System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7

If those don't match me (likely because you have messed with those while trying to get Armory to work in the past), then change them to be what I have and try to reinstall armory-qt.  Don't point them to brew.  The system python should work fine.  
Expect it didn't :/  Same error I was getting before:
Code:
$ /usr/local/Cellar/armory-qt/HEAD/bin/ArmoryQt.command                                                                                     
********************************************************************************
Loading Armory Engine:
   Armory Version:       0.82.5
   PyBtcWallet  Version: 1.35
Detected Operating system: Mac/OSX
   User home-directory   : /Users/aburns/Library/Application Support
   Satoshi BTC directory : /Users/aburns/Library/Application Support/Bitcoin/
   Armory home dir       : /Users/aburns/Library/Application Support/Armory/
Fatal Python error: PyThreadState_Get: no current thread
/usr/local/Cellar/armory-qt/HEAD/bin/ArmoryQt.command: line 2: 89681 Abort trap: 6           PYTHONPATH=`brew --prefix`/lib/python2.7/site-packages /usr/bin/python `brew --prefix wysenynja/bitcoin/armory-qt`/share/armory/ArmoryQt.py

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
Red Emerald
Hero Member
*****
Offline Offline

Activity: 742



View Profile WWW
August 29, 2012, 03:05:31 AM
 #78

I saw that error on my own system, but building with the proper libpython2.7.a is what fixed it.

After fixing the symlinks, did you reinstall, or did you just try to rerun the command? You will need to uninstall and install again.

Also, what is in your site packages folder?

Code:
$ ls `brew --prefix`/lib/python2.7/site-packages
PyQt4/                                   pydot.pyc
Twisted-12.1.0-py2.7.egg-info/           pyparsing-1.5.6-py2.7.egg-info/
altgraph/                                pyparsing.py
altgraph-0.9-py2.7.egg-info/             pyparsing.pyc
bsddb3/                                  setuptools-0.6c11-py2.7.egg-info
bsddb3-5.3.0-py2.7.egg-info/             setuptools.pth
distribute-0.6.26-py2.7.egg/             sip.so@
distribute-0.6.27-py2.7.egg/             sipconfig.py@
dot_parser.py                            sipconfig.pyc
dot_parser.pyc                           sipdistutils.py@
easy-install.pth                         site.py
git_remote_helpers/                      site.pyc
git_remote_helpers-0.1.0-py2.7.egg-info@ twisted/
init_cov_core.pth                        virtualenv-1.7.1.2-py2.7.egg-info/
macholib/                                virtualenv.py
macholib-1.4.3-py2.7.egg-info/           virtualenv.pyc
modulegraph/                             virtualenv_support/
modulegraph-0.9.1-py2.7.egg-info/        virtualenvwrapper/
pip-1.1-py2.7.egg/                       virtualenvwrapper-3.4-py2.7-nspkg.pth
py2app/                                  virtualenvwrapper-3.4-py2.7.egg-info/
py2app-0.6.4-py2.7.egg-info/             zope/
pydot-1.0.28-py2.7.egg-info/             zope.interface-4.0.1-py2.7-nspkg.pth
pydot.py                                 zope.interface-4.0.1-py2.7.egg-info/

I have a few more things than you probably, but yours should look similar to mine.

ErebusBat
Hero Member
*****
Offline Offline

Activity: 560

I am the one who knocks


View Profile
August 31, 2012, 10:33:07 PM
 #79

So I made this super simple for people.  I'm sure etotheipi will eventually do this himself, but if you want Armory up and running fast and right now.

Code:
brew tap WyseNynja/bitcoin
brew install wysenynja/bitcoin/bitcoind
brew install --HEAD wysenynja/bitcoin/armory-qt

You don't need to install bitcoind, but I like to. I might eventually add a startup service for bitcoind.
Just tried to get an updated version of bitcoind from your forumula and got this error:
Code:
$ brew install bitcoind                                                                                                                 
Error: No available formula for berkeley-db4 (dependency of bitcoind)

Did you do a keg for that from somewhere?

░▒▓█ Coinroll.it - 1% House Edge Dice Game █▓▒░ • Coinroll Thread • *FREE* 100 BTC Raffle

Signup for CEX.io BitFury exchange and get GHS Instantly!  Don't wait for shipping, mine NOW!
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
September 01, 2012, 03:22:44 AM
 #80

So I made this super simple for people.  I'm sure etotheipi will eventually do this himself, but if you want Armory up and running fast and right now.

Code:
brew tap WyseNynja/bitcoin
brew install wysenynja/bitcoin/bitcoind
brew install --HEAD wysenynja/bitcoin/armory-qt

You don't need to install bitcoind, but I like to. I might eventually add a startup service for bitcoind.
Just tried to get an updated version of bitcoind from your forumula and got this error:
Code:
$ brew install bitcoind                                                                                                                 
Error: No available formula for berkeley-db4 (dependency of bitcoind)

Did you do a keg for that from somewhere?

Btw, I finally removed bsddb, so that dependency should be gone...

Though, in the future, I might add it back if the devs don't move on this new wallet format.  Luckily, I am pretty sure they won't be using BSDDB for the new wallet format, but if they procrastinate much longer past when I get compressed public keys, I might have to do this.

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
Pages: « 1 2 3 [4] 5 6 7 8 9 10 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!